@import url('https://fonts.googleapis.com/css2?family=Montserrat&display=swap');

:root {
--bgcolor: #e5e5e5;
--fontcolor: #3a3a3a;
--darkshadow: rgba(13,39,89,0.16);
--lightshadow: rgba(255,255,255,1);
}


html {
    font-family: montserrat;
    background: var(--bgcolor);
    color:var(--fontcolor);
}
table {
    width: 100%;
    border-collapse: collapse;
    margin-top: 20px;
    margin-bottom: 100px;
   
}
table, th, td {
    /* border: 1px solid black; */
    padding: 12px;
    text-align: left;
 
}
th {
    background-color: var(--bgcolor);
    padding-bottom: 20px;
    font-weight: 500;
    border-bottom: 2px solid var(--fontcolor);
  
}

#completedOrderTable {
    margin-bottom: 200px;
}

.completed {
    background-color: lightgreen;
}
.delete-button {
    background-color: #f44336;
    color: white;
    border: none;
    padding: 5px 10px;
    cursor: pointer;
}
.button-group {
    margin-bottom: 10px;
}
.button-group button {
    color:var(--fontcolor);
    margin-right: 10px;
    margin-bottom: 5px;
    padding: 5px 10px;
    cursor: pointer;

    background-color: var(--bgcolor);
    width: 350px;
    height: 45px;
    margin: 10px;
   box-shadow:  7px 7px 18px var(--darkshadow),
    -7px -7px 18px var(--lightshadow);
    border: 1px solid rgba(0, 0, 0, 0);
    border-radius: 30px;
    font-size: 20px;
    text-align: center;
}



.button-group2 {
    margin-bottom: 10px;
    display: none;
}
.button-group2 button {
    margin-right: 10px;
    margin-bottom: 5px;
    padding: 5px 10px;
    cursor: pointer;
    color:var(--fontcolor);
    margin-right: 10px;
    margin-bottom: 5px;
    padding: 5px 10px;
    cursor: pointer;

    background-color: var(--bgcolor);
    width: 300px;
    height: 40px;
    margin: 10px;
   box-shadow:  7px 7px 18px var(--darkshadow),
    -7px -7px 18px var(--lightshadow);
    border: 1px solid rgba(0, 0, 0, 0);
    border-radius: 30px;
    font-size: 16px;
    text-align: center;


    
    
}
.button-group3 {
    margin-bottom: 10px;
    display: none;
}
.button-group3 button {
    margin-right: 10px;
    margin-bottom: 5px;
    padding: 5px 10px;
    cursor: pointer;
    color:var(--fontcolor);
    margin-right: 10px;
    margin-bottom: 5px;
    padding: 5px 10px;
    cursor: pointer;

    background-color: var(--bgcolor);
    width: 300px;
    height: 40px;
    margin: 10px;
   box-shadow:  7px 7px 18px var(--darkshadow),
    -7px -7px 18px var(--lightshadow),
    inset 7px 7px 8px var(--darkshadow),
    inset -7px -7px 8px var(--lightshadow);
    border: 1px solid rgba(0, 0, 0, 0);
    border-radius: 30px;
    font-size: 16px;
    text-align: center;
}


.button-group4 {
padding: 50px;
display:none;

}

.button-group4 button{
    margin-right: 10px;
    margin-bottom: 5px;
    padding: 5px 10px;
    cursor: pointer;
    color:var(--fontcolor);
    margin-right: 10px;
    margin-bottom: 5px;
    padding: 5px 10px;
    cursor: pointer;

    background-color: var(--bgcolor);
    width: 200px;
    height: 200px;
    margin: 10px;
   box-shadow:  7px 7px 18px var(--darkshadow),
    -7px -7px 18px var(--lightshadow),
    inset 7px 7px 8px var(--darkshadow),
    inset -7px -7px 8px var(--lightshadow);
    border: 5px solid var(--bgcolor);
    border-radius: 30px;
    font-size: 16px;
    text-align: center;
    text-decoration: none;
    text-transform: uppercase;
    letter-spacing: 5px;
    transition: all .5s;
}

.button-group4 button:hover{
    margin-right: 10px;
    margin-bottom: 5px;
    padding: 5px 10px;
    cursor: pointer;
    color:var(--fontcolor);
    margin-right: 10px;
    margin-bottom: 5px;
    padding: 5px 10px;
    cursor: pointer;

    background-color: var(--bgcolor);
    width: 200px;
    height: 200px;
    margin: 10px;
   box-shadow:  -7px -7px 18px var(--darkshadow),
    7px 7px 18px var(--lightshadow),
    inset -7px -7px 8px var(--darkshadow),
    inset 7px 7px 8px var(--lightshadow);
    border: 2px solid var(--bgcolor);
    border-radius: 30px;
    font-size: 16px;
    text-align: center;
    text-decoration: none;
    text-transform: uppercase;
    letter-spacing: 5px;

}

.copyright {
    text-decoration: none;
    text-transform: uppercase;
    letter-spacing: 7px;
    color:var(--fontcolor);
    cursor: pointer;
    transition: all .5s;
    font-size: 13px;
    /* border: 1px solid red; */
    padding-top: 150px;

}

.copyright:hover {
    color: #939393;
    font-size: 15px;
}

.old-order {
    background-color: orange !important;
}

h1 {
    margin: 50px 0px 50px 0px;
    text-align: center;
    font-size: 30px;
    font-weight: 400;
    text-transform: uppercase;
    letter-spacing: 10px;
    padding: 30px;
    /* border: 1px solid red; */
    box-shadow: 10px 10px 25px var(--darkshadow),
    -24px -24px 45px var(--lightshadow);
    /* ,
    inset -10px -10px 30px var(--lightshadow),
    inset 10px 10px 30px var(--darkshadow) */
    border-radius: 30px;
    max-width: 50%;

}

.marked {
    background-color: lightgreen;
}

#order_number {
    background-color: var(--bgcolor);
    width: 50px;
    height: 50px;
    margin: 30px;
   box-shadow:  7px 7px 18px var(--darkshadow),
    -7px -7px 18px var(--lightshadow);
    border: 1px solid rgba(0,0,0,0);
    border-radius: 50px;
    font-size: 20px;
    text-align: center;
}

.hidden {
    visibility: hidden;
}

#name {
    background-color: var(--bgcolor);
    width: 350px;
    height: 50px;
    margin: 30px;
   box-shadow:  7px 7px 18px var(--darkshadow),
    -7px -7px 18px var(--lightshadow);
    border: 1px solid rgba(0, 0, 0, 0);
    border-radius: 30px;
    font-size: 20px;
    text-align: center;
}

#extras {
    background-color: var(--bgcolor);
    width: 70vw;
    height: 50px;
    margin: 30px;
   box-shadow:  7px 7px 18px var(--darkshadow),
    -7px -7px 18px var(--lightshadow);
    border: 1px solid rgba(0, 0, 0, 0);
    border-radius: 15px;
    font-size: 20px;
    text-align: center;
    word-wrap: break-word;
}


.submit {
    background-color: var(--bgcolor);
    width: 50px;
    height: 50px;
   box-shadow:  7px 7px 18px var(--darkshadow),
    -7px -7px 18px var(--lightshadow);
    border: 1px solid rgba(0,0,0,0);
    border-radius: 25px;
    font-size: 20px;
    font-weight: 600;
    text-align: center;
    position: fixed;
    bottom: 30px;
    right: 30px;
    color:var(--fontcolor);
    padding:0px;

}

.rounded {
    background-color: var(--bgcolor);
    width: 50px;
    height: 50px;
   box-shadow:  7px 7px 18px var(--darkshadow),
    -7px -7px 18px var(--lightshadow);
    border: 1px solid rgba(0,0,0,0);
    border-radius: 25px;
    font-size: 20px;
    font-weight: 600;
    text-align: center;
    position: fixed;
    top: 30px;
    left: 30px;
    color:var(--fontcolor);
    padding:0px;
    
}

.toggleOptions {
    background-color: var(--bgcolor);
    width: 50px;
    height: 50px;
   box-shadow:  7px 7px 18px var(--darkshadow),
    -7px -7px 18px var(--lightshadow);
    border: 1px solid rgba(0,0,0,0);
    border-radius: 25px;
    font-size: 20px;
    font-weight: 600;
    text-align: center;
       color:var(--fontcolor);
    padding:0px;
    margin: 30px;
}

.lock {
    background-color: var(--bgcolor);
    width: 50px;
    height: 50px;
   box-shadow:  7px 7px 18px var(--darkshadow),
    -7px -7px 18px var(--lightshadow);
    border: 1px solid rgba(0,0,0,0);
    border-radius: 25px;
    font-size: 20px;
    font-weight: 600;
    text-align: center;
       color:var(--fontcolor);
    padding:0px;
    margin: 30px;
    position: fixed;
    bottom: 30px;
    right: 30px;
    z-index: 1;
}
.unlock {
    background-color: var(--bgcolor);
    width: 50px;
    height: 50px;
   box-shadow:  7px 7px 18px var(--darkshadow),
    -7px -7px 18px var(--lightshadow);
    border: 1px solid rgba(0,0,0,0);
    border-radius: 25px;
    font-size: 20px;
    font-weight: 600;
    text-align: center;
       color:var(--fontcolor);
    padding:0px;
    margin: 30px;
    position: fixed;
    bottom: 30px;
    right: 30px;
}
.Abholbereit {
    text-align: center;
    font-size: 150px;
    font-weight: 600;
    letter-spacing: 20px;
   
}

.header1 {
    font-size: 50px;
    text-transform: uppercase;
    letter-spacing: 20px;
    text-shadow: 
    -1px -1px 1px var(--bgcolor),
    1px 1px 2px hsl(0,0%,52%), 
    2px 4px 2px hsl(0,0%,54%), 
    3px 6px 2px hsl(0, 0%, 56%), 
    4px 8px 2px hsl(0,0%,58%), 
    5px 10px 2px hsl(0,0%,60%), 
    6px 12px 2px hsl(0,0%,62%);

    color:var(--bgcolor);
    font-weight: 400;
}

.completedButton {

    background-color: var(--bgcolor);
    width: 50px;
    height: 50px;
   box-shadow:  7px 7px 18px var(--darkshadow),
    -7px -7px 18px var(--lightshadow);
    border: 1px solid rgba(0,0,0,0);
    border-radius: 25px;
    font-size: 20px;
    font-weight: 600;
    text-align: center;
       color:var(--fontcolor);
    padding:0px;
    margin: 0px;
}

.uncompletedButton {
    background-color: var(--bgcolor);
    width: 50px;
    height: 50px;
   box-shadow:  7px 7px 18px var(--darkshadow),
    -7px -7px 18px var(--lightshadow);
    border: 1px solid rgba(0,0,0,0);
    border-radius: 25px;
    font-size: 20px;
    font-weight: 600;
    text-align: center;
       color:var(--fontcolor);
    padding:0px;
    margin: 0px;

}

.logo {
    width: 280px;
    height: 280px;
    border-radius: 150px;
    box-shadow: 30px 30px 35px var(--darkshadow),
    -24px -24px 25px var(--lightshadow),
    inset -20px -20px 35px #e5e5e5,
    inset 30px 30px 70px var(--darkshadow);
    border: 7px solid var(--bgcolor);
    margin: 50px;
}

.logo img {
    padding-top: 30px;

    width: 250px;
    height: 250px;
   
}

.vegan {
    background-color: var(--bgcolor);
    width: 50px;
    height: 50px;
   box-shadow:  7px 7px 18px var(--darkshadow),
    -7px -7px 18px var(--lightshadow);
    border: 1px solid rgba(0,0,0,0);
    border-radius: 25px;
    font-size: 20px;
    font-weight: 600;
    text-align: center;
       color:var(--fontcolor);
    padding:0px;
    margin: 30px;
}